{% extends "base.html" %}
{% load i18n %}
{% block title %}Doxilog - Test algorithme{% endblock %}

{% block content %}
  <form method="POST">
    {% csrf_token %}
    <div class="row my-4">
      <div class="mx-auto col-12 col-md-10 col-lg-8">
        <div class="text-center">
          <h1>{% translate "Doxilog - Résultat d'analyse"|capfirst %}</h1>
        </div>
        <div class="mt-4 border border-4 p-4">
          <pre class="monospace">{{ highlighted_text  | safe }}</pre>
        </div>
        <div class="mt-4">
            <a href="{% url 'nouslisons:text_analyse' %}?edit=true" class="btn btn-outline-primary w-100">{% translate "Modifier le texte"|capfirst %}</a>
        </div>
        <div class="mt-2">
          <a href="{% url 'nouslisons:text_analyse' %}" class="btn btn-primary w-100">{% translate "Analyser un autre texte"|capfirst %}</a>
        </div>
        <div class="my-4" align="left">
          <p>{% translate "La langue du texte est :"|capfirst %} {{ processed_data.language.upper }}</p>
        </div>
        <table class="table table-striped my-4">
          <tbody>
            <tr>
              <td><b>{% translate "Âge"|capfirst %}</b></td>
              <td>{{ processed_data.age }}</td>
              <td><b>{% translate "Niveau"|capfirst %}</b></td>
              <td>{{ processed_data.level }}</td>
            </tr>
            <tr>
              <td><b>{% translate "Nombre de mots"|capfirst %}</b></td>
              <td>{{ processed_data.all_unique_words_stemm|length }}</td>
              <td><b>{% translate "Pourcentage"|capfirst %}</b></td>
              <td>{{ processed_data.percentage }}</td>
            </tr>
          </tbody>
        </table>
        <table class="table table-striped my-4">
          <tbody>
            <tr>
              <td><b>{% translate "Noms propres"|capfirst %}</b></td>
              <td>{{ processed_data.proper_noun|length }}</td>
            </tr>
            <tr>
              <td colspan="2">
                <div class="monospace_word mb-3">
                  {% for name in processed_data.proper_noun %} {{ name }}
                  {% if not forloop.last %}
                  {% endif %} {% endfor %}
                </div>
              </td>
            </tr>
            <tr>
              <td><b>{% translate "Mots courants"|capfirst %}</b></td>
              <td>{{ processed_data.ffi_words|length }}</td>
            </tr>
            <tr>
              <td colspan="2">
                <div class="monospace_word mb-3">
                  {% for word in processed_data.ffi_words %} {{ word }} {% if not forloop.last %} {% endif %}
                  {% endfor %}
                </div>
              </td>
            </tr>
            <tr>
              <td><b>{% translate "Mots peu courants"|capfirst %}</b></td>
              <td>{{ processed_data.not_ffi_words|length }}</td>
            </tr>
            <tr>
              <td colspan="2">
                <div class="monospace_word mb-3">
                  {% for word in processed_data.not_ffi_words %}
                    {{ word }}
                  {% endfor %}
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </form>
{% endblock %}

{% block inline_javascript %}
<script>
    document.addEventListener("DOMContentLoaded", function () {
      var spans = document.querySelectorAll("#span");

      spans.forEach(function (span) {
        var tooltip = span.nextElementSibling;
        var arrow = tooltip.nextElementSibling;

        var popperInstance = Popper.createPopper(span, tooltip, {
          modifiers: [
            {
              name: "offset",
              options: {
                offset: [0, 8],
              },
            },
          ],
        });

        function show() {
          tooltip.setAttribute("data-show", "");
          popperInstance.update();
        }

        function hide() {
          tooltip.removeAttribute("data-show");
        }

        span.addEventListener("mouseenter", show);
        span.addEventListener("mouseleave", hide);
        span.addEventListener("focus", show);
        span.addEventListener("blur", hide);
      });
    });
  </script>
{% endblock inline_javascript %}
